esri-loader update for JSAPI 4.18

423
2
Jump to solution
12-17-2020 03:02 PM
NaveedAhmed2
New Contributor III

Hello!


I was just wanting to see that how long it will take to get esri-loader updated for JSAPI 4.18. 


Thanks

0 Kudos
2 Solutions

Accepted Solutions
AndyGup
Esri Regular Contributor

You can specify 4.18 or any other 4.x production version like this:

 

// app.js
import { setDefaultOptions } from 'esri-loader';

// configure esri-loader to use version 4.18 from the ArcGIS CDN
// NOTE: make sure this is called once before any calls to loadModules()
setDefaultOptions({ version: '4.18' })

 

Reference: https://github.com/esri/esri-loader#from-a-specific-version

View solution in original post

VictorBerchet
New Contributor III

You can already explicitly request 4.18:

 

setDefaultOptions({ version: '4.18' });

 

Maybe you could also submit a PR to the github repo using 4.17 as a model ?

View solution in original post

2 Replies
AndyGup
Esri Regular Contributor

You can specify 4.18 or any other 4.x production version like this:

 

// app.js
import { setDefaultOptions } from 'esri-loader';

// configure esri-loader to use version 4.18 from the ArcGIS CDN
// NOTE: make sure this is called once before any calls to loadModules()
setDefaultOptions({ version: '4.18' })

 

Reference: https://github.com/esri/esri-loader#from-a-specific-version

View solution in original post

VictorBerchet
New Contributor III

You can already explicitly request 4.18:

 

setDefaultOptions({ version: '4.18' });

 

Maybe you could also submit a PR to the github repo using 4.17 as a model ?

View solution in original post